Does TTDSi work on US DSi after firmware update?

Discussion in 'DSTT' started by denny0104, Apr 6, 2009.

  1. denny0104
    OP

    denny0104 Newbie

    Newcomer
    1
    0
    Apr 6, 2009
    United States
    I just got my DSi yesterday, and still waiting for TTDSi to get here. My question is has anyone tried to TTDSi after updating the US DSi? Right now, I don't any games on my DSi, so I thought it might be nice to download some free games from the DS Shop. However, it requires firmware update, so I am afraid that after I updated my DSi then my TTDSi won't work. Thanks for anyone who have tried it.
     
  2. CannonFoddr

    CannonFoddr Regular GBATemp Lurker

    Member
    4,118
    71
    Sep 23, 2006
    Sitting by computer
    With you being in USA & I'm in the UK I'm not sure if this will help
    I've done the firmware update to get on the DSWare (I'm now showing 1.3E) & I can tell you that my DSTTi still works (I use YSMenu but it still works with TTmenu)

    I can only guess that if your firmware is 1.2E (or something like that - I'm afraid I didn't note what I had beforehand) then I guess it's the same firmware used whether you're in Europe or USA. Unless there's a design difference between a USA & a Europeon DSi I can't see any problem

    If you're not sure on how to find your firmware version then follow these steps:-
    Switch on DSi & select the System Settings option - in the top screen, bottom right corner, you should be showing the version number


    UPDATE: Important Just found this thread @ http://gbatemp.net/index.php?showtopic=146229 that states that USA firmware is in fact '1.2U' and that Acekards 2i are having trouble being recognised (they show up but don't run) - so I'm guessing that the USA DSi WILL lock flashcards unlike the Europe ones. Whether it'll lock just the Acekard or all DSi compatible flash cards I can't say

    I'm afraid you will either have to try it yourself or hope that someone else in the USA will reply saying that they have done it & it work - sorry couldn't be any help
     
  3. aruek_ca18det

    aruek_ca18det Member

    Newcomer
    25
    0
    Dec 26, 2007
    Well, I'm planning to get a DSi this month, I think it will be released here with 1.2U... My DSTTi is getting here already, so it seems we need to wait and see what happens. I know that acekard and dstti works good with 1.2J firmware
     
  4. HugoBoss

    HugoBoss Newbie

    Newcomer
    1
    0
    Apr 14, 2009
    United States
    It works, Upgraded to ver 1.3U then got Ndstti. works
     
  5. Nacron

    Nacron Newbie

    Newcomer
    8
    0
    Jan 2, 2008
    United States
    I know the ttdsi works with the 1.2u firmware, just confirmed it with my friend's DSi
     
  6. Pnt101

    Pnt101 Member

    Newcomer
    33
    0
    Apr 9, 2009
    United States
    Dumpster
    tti works on 1.3 firmware
     
  7. Acenima

    Acenima GBAtemp Advanced Fan

    Member
    619
    0
    Apr 9, 2009
    United States
    USA
    my friends is working so u should be fine